Anaconda Enterprise: Documentation

# conda env update

    CONDA(1)                         User Commands                        CONDA(1)

## NAME

           conda - conda env update

## DESCRIPTION

           usage:  conda-env  update  [-h]  [-n  ENVIRONMENT  | -p PATH] [-f FILE]
           [--prune]

           [-q] [--json] [--debug] [--verbose]
                  [remote_definition]

           Update the current environment based on environment file

## OPTIONS

       positional arguments:
           remote_definition
                  remote environment definition / IPython notebook

       optional arguments:
           -h, --help
                  Show this help message and exit.

           -n ENVIRONMENT, --name ENVIRONMENT
                  Name     of      environment      (in      root      prefix/envs
                  :/Users/wwarner/.conda/envs).

           -p PATH, --prefix PATH
                  Full path to environment prefix (default: default prefix).

           -f FILE, --file FILE
                  environment definition (default: environment.yml)

           --prune
                  remove installed packages not defined in environment.yml

           -q, --quiet

           --json Report all output as json. Suitable for using conda programmati-
                  cally.

           --debug
                  Show debug output.

           --verbose, -v
                  Use once for info, twice for debug, three times for trace.

       examples:
                  conda env update  conda  env  update  -n=foo  conda  env  update
                  -f=/path/to/environment.yml    conda   env   update   --name=foo
                  --file=environment.yml conda env update vader/deathstar

    Continuum Analytics              November 2017                        CONDA(1)